QDBUSCPP2XML(1)

NAME
qdbuscpp2xml - a D-Bus instropection generator for Qt-based applications

SYNOPSIS
qdbuscpp2xml [options...] [files...]

DESCRIPTION
qdbuscpp2xml parses the C++ source or header file containing a QObject-derived class and produces the D-Bus Introspection XML.

OPTIONS
    -p|-s|-m
        Only parse scriptable Properties, Signals and Methods (slots).

    -P|-S|-M
        Parse all Properties, Signals and Methods (slots).

    -a
        Output all scriptable contents (equivalent to -psm).

    -A
        Output all contents (equivalent to -PSM).

    -o <filename>
        Write the output to file <filename>.

    -h
        Show this information.

    -V
        Show the program version and quit.

EXIT STATUS
qdbuscpp2xml returns 0 on success and other on unexcepted failure.

AUTHORS
Copyright (C) 2015 The Qt Company Ltd. Copyright (C) 2016 Ivailo Monev

Licensed through GNU Lesser General Public License.